<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
  integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


  <!-- <ngx-spinner></ngx-spinner> -->

  <ngx-spinner color="rgb(26, 165, 220)" [fullScreen]="false" type="ball-clip-rotate-multiple" size="medium">
    <p  class="loading">Cargando...</p>
</ngx-spinner>

<div id="divInput">
  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <span class="input-group-text" id="intputTexto">Texto:</span>
    </div>
    <input type="text" class="form-control" aria-label="Default" aria-describedby="inputGroup-sizing-default" (keyup)="onKey($event)">
    <button type="button" class="btn btn-secondary btnAdvert" (click)="BuscarIncidentes()">Buscar</button>
  </div>
</div>

<div *ngIf="textoIncidenteSeleccionado != 'Seleccionar Incidente'" class="form-group" id="divTextoSeleccionado">
  <label for="comment">Texto Incidente Seleccionado:</label>
  <textarea class="form-control" rows="5" id="textoSeleccionado">{{textoIncidenteSeleccionado}}</textarea>
</div>


<div class="test-container">

  <ag-grid-angular #agGrid style="width: 90%;height: 500px;
margin: 5% 5% 10% 5%;" id="myGrid" class="ag-theme-balham" [modules]="modules" [columnDefs]="columnDefs"
    [defaultColDef]="defaultColDef" [rowSelection]="rowSelection" [rowData]="rowData"
    (selectionChanged)="onSelectionChanged($event)"></ag-grid-angular>
</div>

<router-outlet></router-outlet>